Bug 181848 - [NEW PORT] www/php-Twig: The flexible, fast, and secure template engine for PHP
Summary: [NEW PORT] www/php-Twig: The flexible, fast, and secure template engine for PHP
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Li-Wen Hsu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-05 20:10 UTC by joehorn
Modified: 2014-01-21 16:00 UTC (History)
0 users

See Also:


Attachments
.shar (13.01 KB, text/plain)
2013-09-05 20:10 UTC, joehorn
no flags Details
php-twig.shar.txt (13.30 KB, text/plain; charset=US-ASCII)
2013-12-30 11:57 UTC, joehorn
no flags Details
shar.txt (6.31 KB, text/plain; charset=US-ASCII)
2014-01-07 19:06 UTC, joehorn
no flags Details
shar.txt (6.30 KB, text/plain; charset=US-ASCII)
2014-01-21 15:15 UTC, joehorn
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description joehorn 2013-09-05 20:10:01 UTC
Twig is a modern template engine for PHP.

 * Fast: Twig compiles templates down to plain optimized PHP code. The 
	 overhead compared to regular PHP code was reduced to the very 
	 minimum.

 * Secure: Twig has a sandbox mode to evaluate untrusted template code.
	   This allows Twig to be used as a template language for 
	   applications where users may modify the template design.

 * Flexible: Twig is powered by a flexible lexer and parser. This allows 
	     the developer to define its own custom tags and filters, and 
	     create its own DSL.

WWW: http://twig.sensiolabs.org/

Generated with FreeBSD Port Tools 0.99_8 (mode: new)
Comment 1 Li-Wen Hsu freebsd_committer 2013-12-30 13:01:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lwhsu

I'll take it.
Comment 2 Li-Wen Hsu freebsd_committer 2014-01-02 21:42:10 UTC
On Mon, Dec 30, 2013 at 19:57:13 +0800, Joe Horn wrote:
> Here is the new shar file.
> 
> Changes:
> * Change PORTNAME to all lower-case characters.
> * Add STAGEDIR into Makefile.


Thanks for the update.  At first, I am a bit curious about that the
distfile name "v1.13.2.tar.gz" is ambiguous, and it's different then
what I see on http://twig.sensiolabs.org/

Later I found that twig have two parts, Twig and CTwig:

http://pear.twig-project.org/

I would suggest parting this port into two ports:

pear-twig
pecl-ctwig

How do you think?

-- 
Li-Wen Hsu <lwhsu@FreeBSD.org>
http://lwhsu.org
Comment 3 Li-Wen Hsu freebsd_committer 2014-01-13 19:52:01 UTC
Thanks for the update and sorry for late reply:

Please check these items:

1. Do you want to be the maintainer of pear-channel-twig?
2. pecl-twig has NO_STAGE defined, which is not allowed when adding new
   port.
3. Since twig is a template language, how about categorizing into
   textproc?

On Wed, Jan 08, 2014 at 03:06:08 +0800, Joe Horn wrote:
> That's a quite good idea.
>=20
> As CTwig will be install as twig.so , I think the port name should be
> pecl-ctwig.
>=20
> Here is the new shar file.
>=20
>=20
> 2014/1/3 Li-Wen Hsu <lwhsu@freebsd.org>
>=20
> > On Mon, Dec 30, 2013 at 19:57:13 +0800, Joe Horn wrote:
> > > Here is the new shar file.
> > >
> > > Changes:
> > > * Change PORTNAME to all lower-case characters.
> > > * Add STAGEDIR into Makefile.
> >
> > Thanks for the update.  At first, I am a bit curious about that the
> > distfile name "v1.13.2.tar.gz" is ambiguous, and it's different then
> > what I see on http://twig.sensiolabs.org/
> >
> > Later I found that twig have two parts, Twig and CTwig:
> >
> > http://pear.twig-project.org/
> >
> > I would suggest parting this port into two ports:
> >
> > pear-twig
> > pecl-ctwig
> >
> > How do you think?
> >
> > --
> > Li-Wen Hsu <lwhsu@FreeBSD.org>
> > http://lwhsu.org
> >

> # This is a shell archive.  Save it in a file, remove anything before
> # this line, and then unpack it by entering "sh file".  Note, it may
> # create directories; files and directories will be owned by you and
> # have default permissions.
> #
> # This archive contains:
> #
> #	/usr/ports/devel/pear-channel-twig
> #	/usr/ports/devel/pear-channel-twig/files
> #	/usr/ports/devel/pear-channel-twig/files/pear.twig-project.org.reg
> #	/usr/ports/devel/pear-channel-twig/Makefile
> #	/usr/ports/devel/pear-channel-twig/pkg-descr
> #	/usr/ports/www/pear-twig
> #	/usr/ports/www/pear-twig/Makefile
> #	/usr/ports/www/pear-twig/distinfo
> #	/usr/ports/www/pear-twig/pkg-descr
> #	/usr/ports/www/pecl-twig
> #	/usr/ports/www/pecl-twig/Makefile
> #	/usr/ports/www/pecl-twig/distinfo
> #	/usr/ports/www/pecl-twig/pkg-descr
> #
> echo c - /usr/ports/devel/pear-channel-twig
> mkdir -p /usr/ports/devel/pear-channel-twig > /dev/null 2>&1
> echo c - /usr/ports/devel/pear-channel-twig/files
> mkdir -p /usr/ports/devel/pear-channel-twig/files > /dev/null 2>&1
> echo x - /usr/ports/devel/pear-channel-twig/files/pear.twig-project.org.r=
eg
> sed 's/^X//' >/usr/ports/devel/pear-channel-twig/files/pear.twig-project.=
org.reg << '347dd24e56167d1380bc164fc34313e8'
> Xa:6:{s:7:"attribs";a:4:{s:7:"version";s:3:"1.0";s:5:"xmlns";s:31:"http:/=
/pear.php.net/channel-1.0";s:9:"xmlns:xsi";s:41:"http://www.w3.org/2001/XML=
Schema-instance";s:18:"xsi:schemaLocation";s:71:"http://pear.php.net/channe=
l-1.0 http://pear.php.net/dtd/channel-1.0.xsd";}s:4:"name";s:21:"pear.twig-=
project.org";s:7:"summary";s:17:"Twig PEAR channel";s:14:"suggestedalias";s=
:4:"twig";s:7:"servers";a:1:{s:7:"primary";a:1:{s:4:"rest";a:1:{s:7:"baseur=
l";a:4:{i:0;a:2:{s:7:"attribs";a:1:{s:4:"type";s:7:"REST1.0";}s:8:"_content=
";s:34:"http://pear.twig-project.org/rest/";}i:1;a:2:{s:7:"attribs";a:1:{s:=
4:"type";s:7:"REST1.1";}s:8:"_content";s:34:"http://pear.twig-project.org/r=
est/";}i:2;a:2:{s:7:"attribs";a:1:{s:4:"type";s:7:"REST1.2";}s:8:"_content"=
;s:34:"http://pear.twig-project.org/rest/";}i:3;a:2:{s:7:"attribs";a:1:{s:4=
:"type";s:7:"REST1.3";}s:8:"_content";s:34:"http://pear.twig-project.org/re=
st/";}}}}}s:13:"_lastmodified";a:2:{s:4:"ETag";s:34:""b6081822f47306f9e8f03=
c7681457669"";s:13:"Last-Modified";s:29:"Wed, 23 Jan 2013 14:45:17 GMT";}}
> 347dd24e56167d1380bc164fc34313e8
> echo x - /usr/ports/devel/pear-channel-twig/Makefile
> sed 's/^X//' >/usr/ports/devel/pear-channel-twig/Makefile << '8e85c1b617f=
bed27027f00f878c5097e'
> X# Created by: Joe Horn <joehorn@gmail.com>
> X# $FreeBSD$
> X
> XPORTNAME=3D	twig
> XPORTVERSION=3D	20140108
> XCATEGORIES=3D	devel www pear
> X
> XMAINTAINER=3D	ports@FreeBSD.org
> XCOMMENT=3D	PEAR channel ${PEAR_CHANNEL_HOST}
> X
> XPEAR_CHANNEL_HOST=3D	pear.twig-project.org
> X
> X.include <bsd.port.pre.mk>
> X.include "${PORTSDIR}/devel/pear/bsd.pear.channel.mk"
> X.include <bsd.port.post.mk>
> 8e85c1b617fbed27027f00f878c5097e
> echo x - /usr/ports/devel/pear-channel-twig/pkg-descr
> sed 's/^X//' >/usr/ports/devel/pear-channel-twig/pkg-descr << '8e8443867a=
9f48f3e2955efe1c70a08a'
> XPEAR channel for the Twig project
> X
> XWWW: http://pear.twig-project.org/
> 8e8443867a9f48f3e2955efe1c70a08a
> echo c - /usr/ports/www/pear-twig
> mkdir -p /usr/ports/www/pear-twig > /dev/null 2>&1
> echo x - /usr/ports/www/pear-twig/Makefile
> sed 's/^X//' >/usr/ports/www/pear-twig/Makefile << '9bb454207e421d897257f=
df4561c4a0d'
> X# Created by: Joe Horn <joehorn@gmail.com>
> X# $FreeBSD$
> X
> XPORTNAME=3D	twig
> XPORTVERSION=3D	1.15.0
> XCATEGORIES=3D	www pear
> XMASTER_SITES=3D	http://pear.twig-project.org/get/
> XDISTNAME=3D	Twig-${PORTVERSION}
> X
> XMAINTAINER=3D	joehorn@gmail.com
> XCOMMENT=3D	The flexible, fast, and secure template engine for PHP
> X
> XLICENSE=3D	BSD
> X
> XBUILD_DEPENDS=3D	${PEARDIR}/.channels/pear.twig-project.org.reg:${PORTSD=
IR}/devel/pear-channel-twig
> XRUN_DEPENDS=3D	${PEARDIR}/.channels/pear.twig-project.org.reg:${PORTSDIR=
}/devel/pear-channel-twig
> X
> XPEAR_CHANNEL=3D	twig
> XPEAR_AUTOINSTALL=3D	yes
> X
> XUSE_PHP=3D	ctype hash
> XWANT_PHP_CLI=3D	yes
> X
> X.include <bsd.port.pre.mk>
> X.include "${PORTSDIR}/devel/pear/bsd.pear.mk"
> X.include <bsd.port.post.mk>
> 9bb454207e421d897257fdf4561c4a0d
> echo x - /usr/ports/www/pear-twig/distinfo
> sed 's/^X//' >/usr/ports/www/pear-twig/distinfo << '7489cbd3e8e3c73aa362d=
8b1f2f1a7bf'
> XSHA256 (PEAR/Twig-1.15.0.tgz) =3D b5a1ae1be5fd3541f9dcf9f3f516e29262f3db=
18042b67a1af07bfaa26eb61ed
> XSIZE (PEAR/Twig-1.15.0.tgz) =3D 85352
> 7489cbd3e8e3c73aa362d8b1f2f1a7bf
> echo x - /usr/ports/www/pear-twig/pkg-descr
> sed 's/^X//' >/usr/ports/www/pear-twig/pkg-descr << '04b91f6004ac83962c2b=
0fa636dd66a0'
> XTwig is a modern template engine for PHP.
> X
> X * Fast: Twig compiles templates down to plain optimized PHP code. The
> X         overhead compared to regular PHP code was reduced to the very
> X         minimum.
> X
> X * Secure: Twig has a sandbox mode to evaluate untrusted template code.
> X           This allows Twig to be used as a template language for
> X           applications where users may modify the template design.
> X
> X * Flexible: Twig is powered by a flexible lexer and parser. This allows
> X             the developer to define its own custom tags and filters, and
> X             create its own DSL.
> X
> XWWW: http://twig.sensiolabs.org/
> 04b91f6004ac83962c2b0fa636dd66a0
> echo c - /usr/ports/www/pecl-twig
> mkdir -p /usr/ports/www/pecl-twig > /dev/null 2>&1
> echo x - /usr/ports/www/pecl-twig/Makefile
> sed 's/^X//' >/usr/ports/www/pecl-twig/Makefile << 'b768b9faa7118cfc0f70b=
28512dd94c8'
> X# Created by: Joe Horn <joehorn@gmail.com>
> X# $FreeBSD$
> X
> XPORTNAME=3D	twig
> XPORTVERSION=3D	1.15.0
> XCATEGORIES=3D	www
> XMASTER_SITES=3D	http://pear.twig-project.org/get/
> XPKGNAMEPREFIX=3D	pecl-
> XDISTNAME=3D	CTwig-${PORTVERSION}
> XEXTRACT_SUFX=3D	.tgz
> X
> XMAINTAINER=3D	joehorn@gmail.com
> XCOMMENT=3D	Twig C extension to improve performance of the Twig template =
language
> X
> XLICENSE=3D	BSD
> X
> XUSE_PHP=3D	yes
> XUSE_PHPIZE=3D	yes
> XUSE_PHPEXT=3D	yes
> X
> XNO_STAGE=3D	yes
> X.include <bsd.port.mk>
> b768b9faa7118cfc0f70b28512dd94c8
> echo x - /usr/ports/www/pecl-twig/distinfo
> sed 's/^X//' >/usr/ports/www/pecl-twig/distinfo << 'd55ec7036dd6a800b11d1=
1398c9a04d1'
> XSHA256 (CTwig-1.15.0.tgz) =3D dda8f01c24c2d2ed51916668f7bc66782a7aac211a=
3752a80b35159bda85dfd4
> XSIZE (CTwig-1.15.0.tgz) =3D 8835
> d55ec7036dd6a800b11d11398c9a04d1
> echo x - /usr/ports/www/pecl-twig/pkg-descr
> sed 's/^X//' >/usr/ports/www/pecl-twig/pkg-descr << 'b4217b5ea85e5d0093df=
917e4e0d0e8a'
> XTwig is a flexible, fast, and secure template engine for PHP.
> X
> XThis C extension to improve performance of the Twig template language.
> X
> XWWW: http://twig.sensiolabs.org/
> b4217b5ea85e5d0093df917e4e0d0e8a
> exit
>=20


--=20
Li-Wen Hsu <lwhsu@FreeBSD.org>
http://lwhsu.org
Comment 4 dfilter service freebsd_committer 2014-01-21 15:54:44 UTC
Author: lwhsu
Date: Tue Jan 21 15:54:33 2014
New Revision: 340616
URL: http://svnweb.freebsd.org/changeset/ports/340616
QAT: https://qat.redports.org/buildarchive/r340616/

Log:
  Add devel/pear-channel-twig, www/pecl-twig, www/pear-twig:
  
  TWIG: The flexible, fast, and secure template engine for PHP
  
  PR:		ports/181848
  Submitted by:	Joe Horn <joehorn@gmail.com>

Added:
  head/devel/pear-channel-twig/
  head/devel/pear-channel-twig/Makefile   (contents, props changed)
  head/devel/pear-channel-twig/files/
  head/devel/pear-channel-twig/files/pear.twig-project.org.reg   (contents, props changed)
  head/devel/pear-channel-twig/pkg-descr   (contents, props changed)
  head/www/pear-twig/
  head/www/pear-twig/Makefile   (contents, props changed)
  head/www/pear-twig/distinfo   (contents, props changed)
  head/www/pear-twig/pkg-descr   (contents, props changed)
  head/www/pecl-twig/
  head/www/pecl-twig/Makefile   (contents, props changed)
  head/www/pecl-twig/distinfo   (contents, props changed)
  head/www/pecl-twig/pkg-descr   (contents, props changed)
Modified:
  head/devel/Makefile
  head/www/Makefile

Modified: head/devel/Makefile
==============================================================================
--- head/devel/Makefile	Tue Jan 21 15:43:06 2014	(r340615)
+++ head/devel/Makefile	Tue Jan 21 15:54:33 2014	(r340616)
@@ -3266,6 +3266,7 @@
     SUBDIR += pear-channel-symfony
     SUBDIR += pear-channel-symfony2
     SUBDIR += pear-channel-theseer
+    SUBDIR += pear-channel-twig
     SUBDIR += pear-codegen
     SUBDIR += pear-ezc_Base
     SUBDIR += pear-ezc_ConsoleTools

Added: head/devel/pear-channel-twig/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/pear-channel-twig/Makefile	Tue Jan 21 15:54:33 2014	(r340616)
@@ -0,0 +1,16 @@
+# Created by: Joe Horn <joehorn@gmail.com>
+# $FreeBSD$
+
+PORTNAME=	twig
+PORTVERSION=	20140108
+CATEGORIES=	devel www pear
+MASTER_SITES=	#
+
+MAINTAINER=	joehorn@gmail.com
+COMMENT=	PEAR channel ${PEAR_CHANNEL_HOST}
+
+PEAR_CHANNEL_HOST=	pear.twig-project.org
+
+.include <bsd.port.pre.mk>
+.include "${PORTSDIR}/devel/pear/bsd.pear.channel.mk"
+.include <bsd.port.post.mk>

Added: head/devel/pear-channel-twig/files/pear.twig-project.org.reg
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/pear-channel-twig/files/pear.twig-project.org.reg	Tue Jan 21 15:54:33 2014	(r340616)
@@ -0,0 +1 @@
+a:6:{s:7:"attribs";a:4:{s:7:"version";s:3:"1.0";s:5:"xmlns";s:31:"http://pear.php.net/channel-1.0";s:9:"xmlns:xsi";s:41:"http://www.w3.org/2001/XMLSchema-instance";s:18:"xsi:schemaLocation";s:71:"http://pear.php.net/channel-1.0 http://pear.php.net/dtd/channel-1.0.xsd";}s:4:"name";s:21:"pear.twig-project.org";s:7:"summary";s:17:"Twig PEAR channel";s:14:"suggestedalias";s:4:"twig";s:7:"servers";a:1:{s:7:"primary";a:1:{s:4:"rest";a:1:{s:7:"baseurl";a:4:{i:0;a:2:{s:7:"attribs";a:1:{s:4:"type";s:7:"REST1.0";}s :8:"_content";s:34:"http://pear.twig-project.org/rest/";}i:1;a:2:{s:7:"attribs";a:1:{s:4:"type";s:7:"REST1.1";}s:8:"_content";s:34:"http://pear.twig-project.org/rest/";}i:2;a:2:{s:7:"attribs";a:1:{s:4:"type";s:7:"REST1.2";}s:8:"_content";s:34:"http://pear.twig-project.org/rest/";}i:3;a:2:{s:7:"attribs";a:1:{s:4:"type";s:7:"REST1.3";}s:8:"_content";s:34:"http://pear.twig-project.org/rest/";}}}}}s:13:"_lastmodified";a:2:{s:4:"ETag";s:34:""b6081822f47306f9e8f03c7681457669"";s:13:"Last-
 Modified";s:29:"Wed, 23 Jan 2013 14:45:17 GMT";}}

Added: head/devel/pear-channel-twig/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/pear-channel-twig/pkg-descr	Tue Jan 21 15:54:33 2014	(r340616)
@@ -0,0 +1,3 @@
+PEAR channel for the Twig project
+
+WWW: http://pear.twig-project.org/

Modified: head/www/Makefile
==============================================================================
--- head/www/Makefile	Tue Jan 21 15:43:06 2014	(r340615)
+++ head/www/Makefile	Tue Jan 21 15:54:33 2014	(r340616)
@@ -1401,6 +1401,7 @@
     SUBDIR += pear-Text_Wiki
     SUBDIR += pear-UDDI
     SUBDIR += pear-XML_GRDDL
+    SUBDIR += pear-twig
     SUBDIR += pebble
     SUBDIR += pecl-APC
     SUBDIR += pecl-amfext
@@ -1408,6 +1409,7 @@
     SUBDIR += pecl-solr
     SUBDIR += pecl-sphinx
     SUBDIR += pecl-swish
+    SUBDIR += pecl-twig
     SUBDIR += pecl-yaf
     SUBDIR += pecl-yar
     SUBDIR += pecl-zendopcache

Added: head/www/pear-twig/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/pear-twig/Makefile	Tue Jan 21 15:54:33 2014	(r340616)
@@ -0,0 +1,26 @@
+# Created by: Joe Horn <joehorn@gmail.com>
+# $FreeBSD$
+
+PORTNAME=	twig
+PORTVERSION=	1.15.0
+CATEGORIES=	www pear
+MASTER_SITES=	http://pear.twig-project.org/get/
+DISTNAME=	Twig-${PORTVERSION}
+
+MAINTAINER=	joehorn@gmail.com
+COMMENT=	The flexible, fast, and secure template engine for PHP
+
+LICENSE=	BSD
+
+BUILD_DEPENDS=	${PEARDIR}/.channels/pear.twig-project.org.reg:${PORTSDIR}/devel/pear-channel-twig
+RUN_DEPENDS=	${PEARDIR}/.channels/pear.twig-project.org.reg:${PORTSDIR}/devel/pear-channel-twig
+
+PEAR_CHANNEL=	twig
+PEAR_AUTOINSTALL=	yes
+
+USE_PHP=	ctype hash
+WANT_PHP_CLI=	yes
+
+.include <bsd.port.pre.mk>
+.include "${PORTSDIR}/devel/pear/bsd.pear.mk"
+.include <bsd.port.post.mk>

Added: head/www/pear-twig/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/pear-twig/distinfo	Tue Jan 21 15:54:33 2014	(r340616)
@@ -0,0 +1,2 @@
+SHA256 (PEAR/Twig-1.15.0.tgz) = b5a1ae1be5fd3541f9dcf9f3f516e29262f3db18042b67a1af07bfaa26eb61ed
+SIZE (PEAR/Twig-1.15.0.tgz) = 85352

Added: head/www/pear-twig/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/pear-twig/pkg-descr	Tue Jan 21 15:54:33 2014	(r340616)
@@ -0,0 +1,15 @@
+Twig is a modern template engine for PHP.
+
+ * Fast: Twig compiles templates down to plain optimized PHP code. The
+         overhead compared to regular PHP code was reduced to the very
+         minimum.
+
+ * Secure: Twig has a sandbox mode to evaluate untrusted template code.
+           This allows Twig to be used as a template language for
+           applications where users may modify the template design.
+
+ * Flexible: Twig is powered by a flexible lexer and parser. This allows
+             the developer to define its own custom tags and filters, and
+             create its own DSL.
+
+WWW: http://twig.sensiolabs.org/

Added: head/www/pecl-twig/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/pecl-twig/Makefile	Tue Jan 21 15:54:33 2014	(r340616)
@@ -0,0 +1,21 @@
+# Created by: Joe Horn <joehorn@gmail.com>
+# $FreeBSD$
+
+PORTNAME=	twig
+PORTVERSION=	1.15.0
+CATEGORIES=	www
+MASTER_SITES=	http://pear.twig-project.org/get/
+PKGNAMEPREFIX=	pecl-
+DISTNAME=	CTwig-${PORTVERSION}
+EXTRACT_SUFX=	.tgz
+
+MAINTAINER=	joehorn@gmail.com
+COMMENT=	Twig C extension to improve performance of the Twig template language
+
+LICENSE=	BSD
+
+USE_PHP=	yes
+USE_PHPIZE=	yes
+USE_PHPEXT=	yes
+
+.include <bsd.port.mk>

Added: head/www/pecl-twig/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/pecl-twig/distinfo	Tue Jan 21 15:54:33 2014	(r340616)
@@ -0,0 +1,2 @@
+SHA256 (CTwig-1.15.0.tgz) = dda8f01c24c2d2ed51916668f7bc66782a7aac211a3752a80b35159bda85dfd4
+SIZE (CTwig-1.15.0.tgz) = 8835

Added: head/www/pecl-twig/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/pecl-twig/pkg-descr	Tue Jan 21 15:54:33 2014	(r340616)
@@ -0,0 +1,5 @@
+Twig is a flexible, fast, and secure template engine for PHP.
+
+This C extension to improve performance of the Twig template language.
+
+WWW: http://twig.sensiolabs.org/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Li-Wen Hsu freebsd_committer 2014-01-21 15:55:06 UTC
State Changed
From-To: open->closed

Committed. Thanks!